.fade-in {
  opacity: 0;
  animation: .5s fade-in forwards;
}

@keyframes fade-in {
  to {
    opacity: 1;
  }
}

.shine {
  background: linear-gradient(90deg, var(--shine-color) 0%, var(--shine-color-l1) 10%, var(--shine-color) 20%);
  background-size: 400% 100%; /* Background is 4 times the item width. */
  background-position-x: 200%;

  animation: 5s shine linear infinite;

  --shine-color: #e5e5e5;
  --shine-color-l1: #eee;
}

[data-theme="dark"] .shine {
  --shine-color: #2a2a2a;
  --shine-color-l1: #333;
}

@keyframes shine {
  to {
    background-position-x: -200%;
  }
}